## ros-kinetic-roseus 1.7.4

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(roseus)

# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS message_generation roslang roscpp rospack topic_tools actionlib actionlib_msgs visualization_msgs tf geometry_msgs std_msgs std_srvs sensor_msgs visualization_msgs tf2_ros dynamic_reconfigure actionlib_tutorials geneus)

configure_file(${PROJECT_SOURCE_DIR}/bin/roseus.in ${PROJECT_SOURCE_DIR}/bin/roseus @ONLY)

add_definitions(-Wall)
#
execute_process(COMMAND rosversion tf2_ros OUTPUT_VARIABLE TF2_ROS_VERSION RESULT_VARIABLE TF2_ROS_RESULT OUTPUT_STRIP_TRAILING_WHITESPACE)
if(NOT ${TF2_ROS_RESULT} EQUAL 0)
  set(TF2_ROS_VERSION ${tf2_ros_VERSION})
endif()
message(STATUS "tf2_ros version: ${TF2_ROS_VERSION} (${TF2_ROS_RESULT})")
if(TF2_ROS_VERSION)
  if(${TF2_ROS_VERSION} VERSION_LESS  0.4.0)
    add_definitions(-DTF2_ROS_VERSION_3)
    message(STATUS "compile with -DTF2_ROS_VERSION_3")
  endif()
endif()

#set( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE )
#if(UNIX AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
#  set(CMAKE_INSTALL_PREFIX ${CMAKE_SOURCE_DIR} CACHE PATH "roseus install prefix" FORCE )
#endif()


set(ENV{LANG} "C")
execute_process (COMMAND git describe --tags HEAD
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  OUTPUT_VARIABLE REPOVERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if(NOT REPOVERSION)
  execute_process(COMMAND grep version ${PROJECT_SOURCE_DIR}/package.xml
    COMMAND sed -e s/[^0-9.]//g
    OUTPUT_VARIABLE REPOVERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
message (STATUS "Build repo revision: ${REPOVERSION}")

#
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()

if(APPLE)
  if(NOT EXISTS /usr/local/opt/jskeus/eus)  # $EUSDIR in OS X
    message(FATAL_ERROR "jskeus is not installed via Homebrew, Please run `brew install homebrew/x11/jskeus`")
  endif()
  set(euslisp_INCLUDE_DIRS /usr/local/opt/jskeus/eus/include)
else()
  find_package(euslisp REQUIRED)
  find_package(jskeus REQUIRED)
  if(NOT euslisp_INCLUDE_DIRS)
    if(EXISTS ${euslisp_SOURCE_DIR}/jskeus)
      set(euslisp_PACKAGE_PATH ${euslisp_SOURCE_DIR})
    else()
      set(euslisp_PACKAGE_PATH ${euslisp_PREFIX}/share/euslisp)
    endif()
    message("-- Set euslisp_PACKAGE_PATH to ${euslisp_PACKAGE_PATH}")
    set(euslisp_INCLUDE_DIRS ${euslisp_PACKAGE_PATH}/jskeus/eus/include)
  endif()
endif()
message("-- Set euslisp_INCLUDE_DIRS to ${euslisp_INCLUDE_DIRS}")
include_directories(/usr/include /usr/X11R6/include ${euslisp_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
add_library(roseus roseus.cpp)
add_library(eustf eustf.cpp)
add_library(roseus_c_util roseus_c_util.c)
target_link_libraries(roseus ${rospack_LIBRARIES} ${roscpp_LIBRARIES})
target_link_libraries(eustf  ${roscpp_LIBRARIES} ${tf_LIBRARIES} ${tf2_ros_LIBRARIES})
set_target_properties(roseus PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/euslisp)
set_target_properties(eustf PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/euslisp)
set_target_properties(roseus_c_util PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/euslisp)

# compile flags
add_definitions(-O2 -DNDEBUG -Wno-write-strings -Wno-unused-but-set-variable -Wno-comment)
add_definitions(-Di486 -DLinux -D_REENTRANT -DVERSION='\"9.00\"' -DTHREADED -DPTHREAD -DX11R6_1)
add_definitions('-DREPOVERSION="\\"${REPOVERSION}\\""')
if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "amd64(.*)" OR
   "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64(.*)" OR
   "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "aarch64(.*)" )
 add_definitions(-Dx86_64)
else()
 add_definitions(-Di486)
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(CMAKE_SHARED_LIBRARY_CREATE_C_FLAGS "${CMAKE_SHARED_LIBRARY_CREATE_C_FLAGS} -undefined dynamic_lookup")
  set(CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS} -undefined dynamic_lookup")
endif()

# you need to run `catkin build --force-cmake` when you have updated eus.h
# update function using defun() for https://github.com/euslisp/EusLisp/pull/116
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/test-defun.c "#include \"eus.h\"\nvoid TEST();\nvoid test(void) {register context *ctx; pointer mod; defun(ctx,\"TEST\",mod,TEST,NULL);}")
get_directory_property(__CMAKE_COMPILE_DEFINITIONS DIRECTORY ${PROJECT_SOURCE_DIR} COMPILE_DEFINITIONS)
set(__CMAKE_COMPILE_DEFINITION "")
foreach(__D ${__CMAKE_COMPILE_DEFINITIONS})
  set(__CMAKE_COMPILE_DEFINITION ${__CMAKE_COMPILE_DEFINITION} -D${__D})
endforeach()
message(STATUS "Running test file to check defun() API, see https://github.com/euslisp/EusLisp/pull/116")
message(STATUS "COMMAND ${CMAKE_C_COMPILER} -I${euslisp_INCLUDE_DIRS} ${__CMAKE_COMPILE_DEFINITION} -c test-defun.c")

execute_process (COMMAND ${CMAKE_C_COMPILER} -I${euslisp_INCLUDE_DIRS} ${__CMAKE_COMPILE_DEFINITION} -c test-defun.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  RESULT_VARIABLE TEST_DEFUN)
file(WRITE ${PROJECT_SOURCE_DIR}/defun.h "// redefine defun for update defun() API (https://github.com/euslisp/EusLisp/pull/116)\n")
if(${TEST_DEFUN})
  message(STATUS "add defin() macro for euslisp < 9.24")
  file(APPEND ${PROJECT_SOURCE_DIR}/defun.h "#undef defun\n")
  file(APPEND ${PROJECT_SOURCE_DIR}/defun.h "#define defun(a, b, c, d, e) defun(a, b, c, d) // for EusLisp < 9.24\n")
endif()



include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(roseus ${Boost_LIBRARIES})

set_target_properties(roseus PROPERTIES PREFIX "" SUFFIX ".so")
set_target_properties(eustf PROPERTIES PREFIX "" SUFFIX ".so")
set_target_properties(roseus_c_util PROPERTIES PREFIX "" SUFFIX ".so")

add_service_files(
  FILES AddTwoInts.srv StringString.srv
)
add_message_files(
  FILES String.msg StringStamped.msg FixedArray.msg VariableArray.msg TestName.msg
)

generate_messages(
  DEPENDENCIES geometry_msgs std_msgs
)

# copy bin/roseus to global bin
add_custom_command(OUTPUT ${CATKIN_DEVEL_PREFIX}/bin/roseus
  COMMAND cmake -E make_directory ${CATKIN_DEVEL_PREFIX}/bin/
  COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/bin/roseus ${CATKIN_DEVEL_PREFIX}/bin/roseus
  DEPENDS bin/roseus)
add_custom_target(install_roseus ALL DEPENDS ${CATKIN_DEVEL_PREFIX}/bin/roseus roseus eustf roseus_c_util)
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    DEPENDS euslisp jskeus
    CATKIN_DEPENDS roslang roscpp rospack actionlib actionlib_msgs visualization_msgs tf geometry_msgs std_msgs std_srvs sensor_msgs visualization_msgs actionlib_tutorials tf2_ros message_runtime
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
    EXPORTED_TARGETS install_roseus
    CFG_EXTRAS roseus.cmake
)

install(PROGRAMS bin/roseus
  DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
# install
install(CODE "execute_process(COMMAND cmake -E create_symlink ../../bin/roseus roseus WORKING_DIRECTORY \$ENV{DESTDIR}/\${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/ RESULT_VARIABLE _install_roseus_result OUTPUT_VARIABLE _install_roseus_output)
              message(\"create_symlink ../../bin/roseus roseus WORKING_DIRECTORY \$ENV{DESTDIR}/\${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/ returns \${_install_roseus_result} ... \${_install_roseus_output}.\")")
install(DIRECTORY euslisp test scripts cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)


include(cmake/roseus.cmake)

generate_eusdoc(euslisp/roseus.l "ROS")
generate_eusdoc(euslisp/roseus-utils.l)
generate_eusdoc(euslisp/eustf.l)
generate_eusdoc(euslisp/actionlib.l)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  # CATKIN_MIGRATION: removed during catkin migration
  #file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/lib/${PROJECT_NAME}/test)
  #set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/test)
  add_executable(simple_execute_ref_server test/simple_execute_ref_server.cpp)
  target_link_libraries(simple_execute_ref_server ${roscpp_LIBRARIES} ${actionlib_LIBRARIES})
  set_target_properties(simple_execute_ref_server PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/test)
  add_rostest(test/test-talker-listener.test)
  add_rostest(test/test-talker-listener-private-topic.test)
  add_rostest(test/test-add-two-ints.test)
  add_rostest(test/test-add-two-ints-server.test)
  add_rostest(test/test-service-callback.test)
  add_rostest(test/test-simple-client.test)
  add_rostest(test/test-simple-client-wait.test)
  add_rostest(test/test-simple-client-500.test)
  add_rostest(test/test-simple-client-wait-500.test)
  add_rostest(test/test-simple-client-cancel.test)
  add_rostest(test/test-actionlib.test)
  add_rostest(test/test-roseus.test)
  add_rostest(test/test-mark-lock.test)
  add_rostest(test/test-tf.test)
  add_rostest(test/test-disconnect.test)
  add_rostest(test/test-multi-queue.test)
  add_rostest(test/test-namespace.test)
  add_rostest(test/test-nodename.test)
  add_rostest(test/test-parameter.test)
  add_rostest(test/test-anonymous.test)
  add_rostest(test/test-timer.test)
  # this seems to run other process and need pkill ... https://travis-ci.org/jsk-ros-pkg/jsk_roseus/jobs/233858193
  #add_rostest(test/test-genmsg.catkin.test)
  # this will not ok on running from run_tests, may be running test within launch file may not good.
  #add_rostest(test/test-genmsg-oneworkspace.catkin.launch) # use launch not to run on travis/catkin
  add_rostest(test/test-geneus.test)
  add_rostest(test/test-compile-message.test)
endif()

=== debian/changelog ===
ros-kinetic-roseus (1.7.4-0xenial) xenial; urgency=high

  * .travis.yml: run jsk_pr2eus tests in travis (#599 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/599> )test/simple-client-cancel-test.l: add test to find #567 regression
  * Revert "roseus: add :last-status-msg method for simple-action-client" (#578 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/578> )
  * Revert "add test for subscribe object dispose" (#525 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/525> )
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-kinetic-roseus (1.7.3-0xenial) xenial; urgency=high

  * roseus.cpp: when topic is subscribed twice, cleanup previous callback function (#525 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/525> )
    * add test for subscribe object dispose
    * if object is set to gentem symbol, we can not dispose them
    * test/test-subscribe-dispose.test : add test for dispose
  * Fix typo in package.xml (#598 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/598> )
  * test/add-two-ints-client.l: read request values from argument (#596 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/596> )
  * This change enable to call
    ```
    $ rosrun roseus add_two_ints_client.l 4 5
    ```
    Closes #581 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/581>
  * roseus: add :last-status-msg method for simple-action-client (#578 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/578> )
  * [roseus-util.l] Fixed typo in (one-shot-publish :after-stamp t) :tosec -> :to-sec (#576 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/576> )
  * [roseus-util.l] fix comment typo: unction -> function (#583 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/583>)
  * roseus: reuse service server/client link on service call if connection is valid (#593 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/593> )
    * roseus.cpp: keep connection to server on persistent service call
    * test-add-two-ints.test: increase timelimit to 120 secs
    * test-service-callback.l: add test for calling unadvertised service
    * test-add-two-ints.l: add test code for persistent service call
  * Fix frame-exists method (#592 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/592> )
    * Add code to wait for transform in test-frame-exists by @Affonso-Gui
    * Fix wrong function in the :frame-exists method. (Fix #591 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/591>)
  * roseus: setlocale to none (#585 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/585> )
  * Contributors: Guilherme Affonso, Yuki Furuta, Kanae Kochigami, Kei Okada, Koga Yuya, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-kinetic-roseus (1.7.2-0xenial) xenial; urgency=high

  * use PROJECT_SOURCE_DIR instaed of CMAKE_SOURCE_DIR for catkin_make (#580 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/580>)
    * add debug message for COMPILE defun.c
    * use PROJECT_SOURCE_DIR instaed of CMAKE_SOURCE_DIR for catkin_make
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-kinetic-roseus (1.7.1-0xenial) xenial; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * use rosrun roseus roseus test/test-namespace.l, instead of /usr/bin/env roseus
  * update function using new defun function (#569 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/569>)
    * CHNAGED EusLisp defun() arguments, see https://github.com/euslisp/EusLisp/pull/300
    * force generate defun.h header file
    * use euslisp(9.24)'s new defun api roseus.cpp taht takes doc as argument, remove _defun
    * add documentation string to defun functions
    * add documentation string to defun functions, (roseus_c_util.c uses NULL because this is not exported functions
  * [roseus.l] add length check for argument when searching __log:=t (#568 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/568>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Jul 2018 00:00:00 -0000

ros-kinetic-roseus (1.7.0-0xenial) xenial; urgency=high

  * (ros::tf-transform->coords) failed with with geometry_msgs::Transform (#563 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/563>)
    * fix when tf-transform->coords receives geometry_msgs::Transform
    * [test/eustf.l] Add test to check (ros::tf-transform->coords) with geometry_msgs::Transform
  * [roseus-utils.l]fix eusobj->marker-msg (#555 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/555>)
    * load dependent packages if msg/srv is not found in ros::load-ros-manifest
    * add ros::rospack-depends
    * roseus is always have roseus/ros/roseus
    * add debug message when loading manifest/msg/srv files, also more message when we need to avoid using load-ros-manifest
    * INDIGO: https://github.com/jsk-ros-pkg/jsk_roseus/issues/554if pkg without msg, need to return no-msg-package
    JADE/KINETIC: https://github.com/jsk-ros-pkg/jsk_robot/issues/823
    package without msg does not have manifest.l
    
      * fix find-load-msg-path, use dirs ~/share instaed of ~/share/roseus, it does not change logic
    
  * do not load manifest.l when we have source tree, but does not have manifest.l because of missing msg/srv (#554 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/554>)
  * add test to check :connection-header (#540 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/540>)
    * roseusp.cpp : add :connection-header method
    * add test to check :connection-header
  * fix dead locking on accessing rosparam in timer callback (#557 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/557>)
    * test-mark-lock.l: add function using mark_lock
    * roseus: remove mutex_lock / unlock
    * roseus: add test code for dead locking of mark_lock
  * add test code for [unexpected behavior if message has property name] #508 (#509 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/509>)


=== debian/control ===
Source: ros-kinetic-roseus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), coreutils, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-actionlib-tutorials, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-euslisp, ros-kinetic-geneus, ros-kinetic-geometry-msgs, ros-kinetic-jskeus, ros-kinetic-message-generation, ros-kinetic-mk, ros-kinetic-rosbash, ros-kinetic-rosbuild, ros-kinetic-roscpp, ros-kinetic-roslang, ros-kinetic-rosmsg, ros-kinetic-rosnode, ros-kinetic-rospack, ros-kinetic-rostest, ros-kinetic-rostopic, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs, xvfb
Homepage: http://pr.willowgarage.com/wiki/roseus
Standards-Version: 3.9.2

Package: ros-kinetic-roseus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-actionlib-tutorials, ros-kinetic-dynamic-reconfigure, ros-kinetic-euslisp, ros-kinetic-geneus, ros-kinetic-geometry-msgs, ros-kinetic-jskeus, ros-kinetic-message-runtime, ros-kinetic-rosbash, ros-kinetic-roscpp, ros-kinetic-roslang, ros-kinetic-rosmsg, ros-kinetic-rosnode, ros-kinetic-rospack, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Description: EusLisp client for ROS Robot Operating System.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roseus//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
